## Delete a customer

### cURL

```
curl --request DELETE \
  --url https://api.withflex.com/v1/customers/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.withflex.com/v1/customers/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/customers/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

200

401

403

404

409

422

429

### Example Response

```
{
  "customer": {
    "customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
    "deleted": true
  }
}
```

### Error Response

```
{
  "code": "string",
  "detail": "string"
}
```

### Path Parameters

- **id** (string): The unique identifier for the customer (Required).
  
  Example: "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

### Authorizations

- **Authorization** (string): Use a Bearer token to access this API (Required).
